Push a custom event onto a policy
curl --request POST \
--url https://api.korint.io/policies/{policyId}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant: <tenant>' \
--data '
{
"eventType": "<string>",
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"data": {}
}
'import requests
url = "https://api.korint.io/policies/{policyId}/events"
payload = {
"eventType": "<string>",
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"data": {}
}
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenant: '<tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
eventType: '<string>',
metadata: [{key: '<string>', value: '<string>'}],
data: {}
})
};
fetch('https://api.korint.io/policies/{policyId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "INVALID_EVENT_TYPE",
"message": "Event type {eventType} is not in config for product {productId}",
"details": {}
}{
"code": "POLICY_NOT_FOUND",
"message": "Policy {policyId} ({branchId}) not found",
"details": {}
}policy
Push a custom event onto a policy
POST
/
policies
/
{policyId}
/
events
Push a custom event onto a policy
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
the policy id
Pattern:
^policy(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Query Parameters
Optional: the whenAt datetime
Optional: the branch id
Pattern:
^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Body
application/json
Response
The response is of type object.
Was this page helpful?
⌘I

